Package org.apache.wiki.plugin

# Class Search

java.lang.Object
org.apache.wiki.plugin.Search

All Implemented Interfaces:
  `Plugin`

public class Search extends Object implements Plugin
The "Search" plugin allows you to access the JSPWiki search routines and show the displays in an array on your page.

Parameters :

- query - String. A standard JSPWiki search query.
- set - String. The JSPWiki context variable that will hold the results of the query. This allows you to pass your queries to other plugins on the same page as well.
- max - Integer. How many search results are shown at maximum.

Since:

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_SETNAME`
The default name of the result set.
`static final String`
`PARAM_MAX`
The parameter name for setting the how many results will be fetched.
`static final String`
`PARAM_QUERY`
Parameter name for setting the query string.
`static final String`
`PARAM_SET`
Parameter name for setting the name of the set where the results are stored.

### Fields inherited from interface org.apache.wiki.api.plugin.Plugin

`CORE_PLUGINS_RESOURCEBUNDLE`

## Constructor Summary

Constructors
Constructor
Description
`Search()`

## Method Summary

Modifier and Type
Method
Description
`String`
`execute(Context context, Map<String,String> params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PARAM_QUERY

public static final String PARAM_QUERY
Parameter name for setting the query string. Value is `"query"`.

See Also:
  - Constant Field Values

### PARAM_SET

public static final String PARAM_SET
Parameter name for setting the name of the set where the results are stored. Value is `"set"`.

See Also:
  - Constant Field Values

### DEFAULT_SETNAME

public static final String DEFAULT_SETNAME
The default name of the result set.

See Also:
  - Constant Field Values

### PARAM_MAX

public static final String PARAM_MAX
The parameter name for setting the how many results will be fetched. Value is `"max"`.

See Also:
  - Constant Field Values

## Constructor Details

### Search

public Search()

## Method Details

### execute

public String execute(Context context, Map<String,String> params) throws PluginException

Specified by:
  `execute` in interface `Plugin`
Throws:
  `PluginException`